package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComFile;
import com.yiboshi.science.param.dto.ComFileDTO;
import com.yiboshi.science.param.query.ComFileQueryVO;

import java.util.List;

/**
 * 附件目录表 DAO
 *
 * @author lkl
 * @version 2021-08-26
 */
public interface ComFileDAO extends BaseMapper<ComFile>, BaseDAO<ComFileQueryVO,ComFileDTO, ComFile> {
    List<ComFileDTO> getListByObjectId(String objectId, int fileType);
}