package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComProjectUnitPayment;
import com.yiboshi.science.param.dto.ComProjectUnitPaymentDTO;
import com.yiboshi.science.param.query.ComProjectUnitPaymentQueryVO;

import java.util.List;

/**
 * 经费申请表（任务书/项目申请书） DAO
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComProjectUnitPaymentDAO extends BaseMapper<ComProjectUnitPayment>, BaseDAO<ComProjectUnitPaymentQueryVO, ComProjectUnitPaymentDTO, ComProjectUnitPayment> {
    List<ComProjectUnitPaymentDTO> getListByObjectId(String objectId);
}