package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComConclusionFunds;
import com.yiboshi.science.entity.ComProjectConclusion;
import com.yiboshi.science.param.dto.ComConclusionFundsDTO;
import com.yiboshi.science.param.dto.ComProjectConclusionDTO;
import com.yiboshi.science.param.dto.ComProjectMembersDTO;
import com.yiboshi.science.param.query.ComConclusionFundsQueryVO;
import com.yiboshi.science.param.query.ComProjectConclusionQueryVO;

import java.util.List;

/**
 * 结题经费记录表 DAO
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComConclusionFundsDAO extends BaseMapper<ComConclusionFunds>, BaseDAO<ComConclusionFundsQueryVO, ComConclusionFundsDTO, ComConclusionFunds> {
    List<ComConclusionFundsDTO> getListByObjectId(String objectId,Integer type);
}