package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComNotice;
import com.yiboshi.science.entity.ComProject;
import com.yiboshi.science.param.dto.ComNoticeDTO;
import com.yiboshi.science.param.query.ComNoticeQueryVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 通知公告表 DAO
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComNoticeDAO extends BaseMapper<ComNotice>, BaseDAO<ComNoticeQueryVO, ComNoticeDTO, ComNotice> {
    ComNoticeDTO  getLatestNotice(@Param("ew") Wrapper<ComNotice> queryWrapper);
}