package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComProjectEquipment;
import com.yiboshi.science.param.dto.ComProjectEquipmentDTO;
import com.yiboshi.science.param.query.ComProjectEquipmentQueryVO;

import java.util.List;

/**
 * 经费申请表（任务书/项目申请书） DAO
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComProjectEquipmentDAO extends BaseMapper<ComProjectEquipment>, BaseDAO<ComProjectEquipmentQueryVO,ComProjectEquipmentDTO, ComProjectEquipment> {
    List<ComProjectEquipmentDTO> getListByObjectId(String objectId);
}