package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComTaskTarget;
import com.yiboshi.science.param.dto.ComTaskTargetDTO;
import com.yiboshi.science.param.query.ComTaskTargetQueryVO;

import java.util.List;

/**
 * 任务书预期成果表 DAO
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComTaskTargetDAO extends BaseMapper<ComTaskTarget>, BaseDAO<ComTaskTargetQueryVO, ComTaskTargetDTO, ComTaskTarget> {
    List<ComTaskTargetDTO> getListByObjectId(String objectId);
}