package com.yiboshi.science.rest.v1;

import com.yiboshi.science.entity.ComProjectBudget;
import com.yiboshi.science.param.dto.ComProjectBudgetDTO;
import com.yiboshi.science.param.query.ComProjectBudgetQueryVO;
import com.yiboshi.science.rest.BaseController;
import com.yiboshi.science.service.ComProjectBudgetService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能：经费申请表（任务书/项目申请书） 接口
 *
 * @author lkl
 * @version 2021-08-26
 */
@Api(tags = "com-project-budget", description = "经费申请表（任务书/项目申请书）")
@RestController
@RequestMapping("/v1/science-admin/com-project-budget")
public class ComProjectBudgetController extends BaseController<ComProjectBudgetService, ComProjectBudgetQueryVO, ComProjectBudgetDTO, ComProjectBudget> {



}