package com.yiboshi.science.service;
import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.entity.ComConclusionFunds;
import com.yiboshi.science.entity.ComProjectConclusion;
import com.yiboshi.science.param.dto.ComConclusionFundsDTO;
import com.yiboshi.science.param.dto.ComConclusionResearchersDTO;
import com.yiboshi.science.param.dto.ComProjectConclusionDTO;
import com.yiboshi.science.param.dto.ComProjectMembersDTO;
import com.yiboshi.science.param.query.ComConclusionFundsQueryVO;
import com.yiboshi.science.param.query.ComProjectConclusionQueryVO;

import java.util.List;

/**
 * 结题经费记录表 Service
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComConclusionFundsService extends BaseService<ComConclusionFundsQueryVO, ComConclusionFundsDTO, ComConclusionFunds> {
    /** 根据对象获取列表
     *
     * @param objectId
     * @return
     */
    List<ComConclusionFundsDTO> getListByObjectId(String objectId,Integer type);
    /**插入项目组成员
     *
     * @param list
     * @param objectId
     */
    void insertList(List<ComConclusionFundsDTO> list, String objectId,Integer type);
}